API reference descriptions are provided in English to preserve the exact published contract.
Register this browser for push notifications
POST /v1/accounts/{AC}/push/subscriptions
postV1AccountsByAcPushSubscriptionsIdempotency-Key required201
Required scope: `notifications:read`.
Parameters
Parameters| Name | Type | Required | Description |
|---|
AC | path · string (AC… SID) | yes | Account SID |
Request body (5 fields)
Request body| Name | Type | Required | Description |
|---|
endpoint | string (max 2048 chars) | yes | |
keys | object | yes | |
keys.auth | string (max 64 chars) | yes | |
keys.p256dh | string (max 200 chars) | yes | |
userAgent | string (max 512 chars) | | |
Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.
Withdraw this browser's push subscription
DELETE /v1/accounts/{AC}/push/subscriptions
deleteV1AccountsByAcPushSubscriptions204
Required scope: `notifications:read`.
Parameters
Parameters| Name | Type | Required | Description |
|---|
AC | path · string (AC… SID) | yes | Account SID |
Request body (1 fields)
Request body| Name | Type | Required | Description |
|---|
endpoint | string (max 2048 chars) | yes | |
Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.
The public key a browser subscribes with
GET /v1/accounts/{AC}/push/vapid
getV1AccountsByAcPushVapid200
Required scope: `notifications:read`.
Parameters
Parameters| Name | Type | Required | Description |
|---|
AC | path · string (AC… SID) | yes | Account SID |
Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.